GrailsControllerUrlMappings (Grails 5.1.1)

Package: org.grails.web.mapping.mvc

## [Java] Class GrailsControllerUrlMappings

- org.grails.web.mapping.mvc.GrailsControllerUrlMappings

-     public class GrailsControllerUrlMappings
      extends AbstractGrailsControllerUrlMappings

  A UrlMappings implementation that matches URLs directly onto controller instances

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsControllerUrlMappings (GrailsApplication grailsApplication, UrlMappings urlMappingsHolderDelegate, UrlConverter urlConverter)`
    `GrailsControllerUrlMappings (GrailsApplication grailsApplication, UrlMappings urlMappingsHolderDelegate)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public UrlMapping[]` | `getUrlMappings()`
    `` | `public UrlMappingInfo[]` | `matchAll(java.lang.String uri)`
    `` | `public UrlMappingInfo[]` | `matchAll(java.lang.String uri, java.lang.String httpMethod)`
    `` | `public UrlMappingInfo[]` | `matchAll(java.lang.String uri, java.lang.String httpMethod, java.lang.String version)`
    `` | `public UrlMappingInfo[]` | `matchAll(java.lang.String uri, org.springframework.http.HttpMethod httpMethod)`
    `` | `public UrlMappingInfo[]` | `matchAll(java.lang.String uri, org.springframework.http.HttpMethod httpMethod, java.lang.String version)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGrailsControllerUrlMappings` | `addMappings, allowedMethods, collectControllerMapping, collectControllerMappings, getExcludePatterns, getReverseMapping, getReverseMapping, getReverseMapping, getReverseMapping, getReverseMapping, getReverseMappingNoDefault, getReverseMappingNoDefault, getReverseMappingNoDefault, match, matchStatusCode, matchStatusCode, registerController`

- - ### Constructor Detail

    - #### public GrailsControllerUrlMappings(GrailsApplication grailsApplication, UrlMappings urlMappingsHolderDelegate, UrlConverter urlConverter)

    - #### public GrailsControllerUrlMappings(GrailsApplication grailsApplication, UrlMappings urlMappingsHolderDelegate)

  - ### Method Detail

    - #### @java.lang.Override public UrlMapping[] getUrlMappings()

    - #### @java.lang.Override public UrlMappingInfo[] matchAll(java.lang.String uri)

    - #### @java.lang.Override public UrlMappingInfo[] matchAll(java.lang.String uri, java.lang.String httpMethod)

    - #### @java.lang.Override public UrlMappingInfo[] matchAll(java.lang.String uri, java.lang.String httpMethod, java.lang.String version)

    - #### @java.lang.Override public UrlMappingInfo[] matchAll(java.lang.String uri, org.springframework.http.HttpMethod httpMethod)

    - #### @java.lang.Override public UrlMappingInfo[] matchAll(java.lang.String uri, org.springframework.http.HttpMethod httpMethod, java.lang.String version)